Subject: bug#43834: 27.1; [PATCH] Sentinels under X and command line

From: [email-masked]
Date: Tue, 06 Oct 2020 15:16:13 -0400

Maintainer(s),

The `emacs -Q` invocation demonstrates the process sentinel never fires upon
the completion of the sleep `start-process`.  Note this failure only occurs
under X and when evaluating from the command line via `--eval` or `--funcall`.